function [L_rpm, R_rpm] = academic_getrpm(SpdData)
if(length(SpdData) < 26)
	L_rpm = 0;R_rpm = 0;
	fprintf('Not enough data length !!\n');
	return;
end
RD = findstr(SpdData,'@RD');
if(isempty(RD))
	L_rpm = 0;R_rpm = 0;
	fprintf('Not find @RD data !!\n');
	return;
end
Header = RD(end);
if (length(SpdData) < RD(end)+25),Header = RD(end - 1);end
R_rpm = str2num(SpdData(Header + 15:Header + 18));
if (SpdData(Header + 14) == '-'),R_rpm = -R_rpm;end
L_rpm = str2num(SpdData(Header + 20:Header + 23));
if (SpdData(Header + 19) == '-'),L_rpm = -L_rpm;end
